<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>LibraryMgr: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibraryMgr
   &#160;<span id="projectnumber">0.4</span>
   </div>
   <div id="projectbrief">Library manager desktop app</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li class="current"><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li class="current"><a href="functions.html"><span>All</span></a></li>
      <li><a href="functions_func.html"><span>Functions</span></a></li>
      <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
      <li><a href="functions_rela.html"><span>Related&#160;Functions</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li><a href="functions.html#index_a"><span>a</span></a></li>
      <li><a href="functions_b.html#index_b"><span>b</span></a></li>
      <li><a href="functions_c.html#index_c"><span>c</span></a></li>
      <li><a href="functions_d.html#index_d"><span>d</span></a></li>
      <li><a href="functions_e.html#index_e"><span>e</span></a></li>
      <li><a href="functions_f.html#index_f"><span>f</span></a></li>
      <li><a href="functions_g.html#index_g"><span>g</span></a></li>
      <li><a href="functions_i.html#index_i"><span>i</span></a></li>
      <li><a href="functions_l.html#index_l"><span>l</span></a></li>
      <li><a href="functions_m.html#index_m"><span>m</span></a></li>
      <li><a href="functions_o.html#index_o"><span>o</span></a></li>
      <li><a href="functions_p.html#index_p"><span>p</span></a></li>
      <li class="current"><a href="functions_r.html#index_r"><span>r</span></a></li>
      <li><a href="functions_s.html#index_s"><span>s</span></a></li>
      <li><a href="functions_u.html#index_u"><span>u</span></a></li>
      <li><a href="functions_w.html#index_w"><span>w</span></a></li>
      <li><a href="functions_0x7e.html#index_0x7e"><span>~</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('functions_r.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all documented class members with links to the class documentation for each member:</div>

<h3><a class="anchor" id="index_r"></a>- r -</h3><ul>
<li>readBooks()
: <a class="el" href="class_i_o_stream.html#a726b753d942c4053772f1f4753481076">IOStream</a>
</li>
<li>readFileToJson()
: <a class="el" href="class_i_o_stream.html#a1298f34f7ce16078d10823e9a6784d53">IOStream</a>
</li>
<li>readOAuth()
: <a class="el" href="class_i_o_stream.html#a99506021a117fd34df0f622bd33545f2">IOStream</a>
</li>
<li>readUsers()
: <a class="el" href="class_i_o_stream.html#a419b2221abeaa4756de0be3e117b5fd8">IOStream</a>
</li>
<li>release()
: <a class="el" href="class_reference_counter.html#aa9bf60608f85b55567f9927852d9bfa5">ReferenceCounter</a>
</li>
<li>remove()
: <a class="el" href="class_database.html#a6d8e1621305132ecca4e1b21e918d021">Database&lt; T &gt;</a>
</li>
<li>removeBook()
: <a class="el" href="class_admin.html#ab5abc30d4feddbe7c6ae34743378c995">Admin</a>
, <a class="el" href="class_library.html#a553976ddb2812ca85f16d98e747e7e69">Library</a>
</li>
<li>removeBookFromWishList()
: <a class="el" href="class_user.html#a1f821b3d4a692cf9f51439d428eedc65">User</a>
</li>
<li>removeId()
: <a class="el" href="class_o_auth.html#a4e37754724323a2b0e2dadab12ecc71d">OAuth</a>
</li>
<li>removeItem()
: <a class="el" href="class_admin_books_library_manager.html#af435465c273ee9774d7251b9381e94e0">AdminBooksLibraryManager</a>
, <a class="el" href="class_admin_library_manager.html#a2e08b0ada795d4fc3d0ec16be703091f">AdminLibraryManager</a>
, <a class="el" href="class_admin_users_library_manager.html#aecdc75b2c88c518d322859875159f7ff">AdminUsersLibraryManager</a>
</li>
<li>removeUser()
: <a class="el" href="class_admin.html#a2cd28597301d7c6e3acc5923055b0956">Admin</a>
, <a class="el" href="class_library.html#a237a223c72cc9c46efbc70b05bfc4067">Library</a>
</li>
<li>replace()
: <a class="el" href="class_database.html#a6e4e2967614f44e36de1e7fb80bb46de">Database&lt; T &gt;</a>
</li>
<li>replaceBook()
: <a class="el" href="class_admin.html#a19ccdf33fc763617f77c6ec7ccea46c3">Admin</a>
</li>
<li>reserve()
: <a class="el" href="class_book.html#a05a872fe6ae841704f27e370e31d1901">Book</a>
</li>
<li>reserveBook()
: <a class="el" href="class_user.html#a691b2225590d655a5ffea2b03402e125">User</a>
</li>
<li>reserveOrReturnBook()
: <a class="el" href="class_book_manager_dialog.html#ade82c98835a5881475afc0eb14e5014a">BookManagerDialog</a>
</li>
<li>returnBook()
: <a class="el" href="class_user.html#aa194caf9ec2a069de06d7d0b388e6b5d">User</a>
</li>
<li>returnToLibrary()
: <a class="el" href="class_book.html#a8b19e4877f1e57bc513b5025f983fbe5">Book</a>
</li>
<li>revertSettings()
: <a class="el" href="class_user_editor_dialog.html#afe21fd2ca126037987af65be6e6bf85f">UserEditorDialog</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
